#-----------------------------------------------------------------------------
%define		dist		.ok
%define		sname	%(echo %{name} | cut -d '-' -f1)
#-----------------------------------------------------------------------------
Name		:	mate-applets
Version		:	1.27.0
Release		:	14.4.0.0%{?dist}
Summary		:	Common scripts and macros to develop with MATE
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GLPLv2
URL		:	http://pub.mate-desktop.org/releases/

Source0		:	%{name}-%{version}.tar.xz
Source1		:	%{name}-ok_addon.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	cpufreq
BuildRequires	:	dbus-glib-devel
BuildRequires	:	gtksourceview4-devel
BuildRequires	:	intltool
BuildRequires	:	itstool
BuildRequires	:	libnl-devel
BuildRequires	:	libgtop
BuildRequires	:	libmateweather-devel
BuildRequires	:	libnotify
BuildRequires	:	mate-common
BuildRequires	:	mate-panel
BuildRequires	:	polkit-devel
BuildRequires	:	upower-devel
BuildRequires	:	wireless_tools
BuildRequires	:	yelp-tools

Provides	:	mate-netspeed		=	%{version}-%{release}
#-----------------------------------------------------------------------------
%description
This directory contains sample files that should be in pretty much every
MATE application.

#-----------------------------------------------------------------------------
%files		-f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%{_bindir}/%{sname}-cpufreq-selector
%{_sysconfdir}/sound/events/%{sname}*.soundlist
%{_libexecdir}/%{name}/*applet
%{_datadir}/dbus-1/services/org.%{sname}.panel.applet.*.service
%{_datadir}/glib-2.0/schemas/org.%{sname}.*.gschema.xml
%{_datadir}/help/*/%{sname}*/index.docbook
%{_datadir}/help/*/%{sname}*/legal.xml
%{_datadir}/help/*/%{sname}*/figures/*.png
%{_datadir}/icons/hicolor/*/*/%{sname}-*.png
%{_datadir}/icons/hicolor/scalable/apps/%{sname}-*.svg
%{_datadir}/%{name}/geyes/*/config
%{_datadir}/%{name}/geyes/*/*.{config,png}
%{_datadir}/%{sname}-panel/applets/org.%{sname}.applets.*.mate-panel-applet
%{_datadir}/%{name}/icons/hicolor/48x48/apps/stickynotes-stock-*.png
%{_datadir}/dbus-1/system-services/org.%{sname}.CPUFreqSelector.service
%{_datadir}/dbus-1/system.d/org.%{sname}.CPUFreqSelector.conf
%{_datadir}/polkit-1/actions/org.%{sname}.cpufreqselector.policy
%{_datadir}/pixmaps/%{sname}-cpufreq-applet
%{_mandir}/man1/%{sname}weather.1.gz
%{_mandir}/man1/%{sname}-*.1.gz

#=============================================================================
%prep
%setup -q 

#Translation problem
%{__rm} -fr drivemount/help/tr

#-----------------------------------------------------------------------------
#building application
%build

tar xf %{SOURCE1}

#working with gtkviewsource-4
sed -i							\
  -e "s/gtksourceview-3.0/gtksourceview-4/g"		\
  configure configure.ac

#removing Armenian tranlastion (hy)
#{__rm} -fr accessx-status/docs/hy

#removing Serbian tranlastion (hy)
%{__rm} -fr mateweather/docs/sr

./autogen.sh						\
        --prefix=%{_prefix}				\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libexecdir=%{_libexecdir}/%{name}		\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%version	\
	--disable-static				\
	--enable-polkit					\
	--enable-ipv6					\
	--with-nl					\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install
  
%find_lang %{name}
#-----------------------------------------------------------------------------
%changelog
